using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Dtos.Order;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.ViewResponses.Sourcewares
{
    public class SourcewareViewResponse : IViewResponse
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        public string Name { get; set; }
        /// <summary>
        /// 课件分类Id
        /// </summary>
        [Description("课件分类Id")]
        public string CategoryId { get; set; }

        /// <summary>
        /// 课件分类
        /// </summary>
        [Description("课件分类")]
        public string CategoryName { get; set; }

        /// <summary>
        /// 附件Id
        /// </summary>
        [Description("附件Id")]
        public string AttachmentId { get; set; }
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
        /// <summary>
        /// 课件类型
        /// </summary>
        [Description("课件类型")]
        public string SourcewareType { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public EPublicStatus Status { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Description("创建时间")]
        public DateTime CreationTime { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [Description("创建人")]
        public string? CreatorName { get; set; }

        /// <summary>
        /// 创建人Id
        /// </summary>
        [Description("创建人Id")]
        public string? CreatorId { get; set; }
    }
}

